Subject: bug#75651: 31.0.50; error after pop-to-buffer with fullscreen messes up window config when called non-interactively

From: martin rudalics <[email-masked]>
Date: Sun, 19 Jan 2025 16:13:00 +0100

>> Sorry, I just got what's really happening: the error prevents the value of
 >> display-buffer-alist from being re-set. Still, if it can be prevented I'd
 >> guess it shouldn't happen.
 >
 > Martin, any comments or thoughts?

When Emacs enters the debugger any bindings stay as they were set up
at the time the error occurred - otherwise I could not investigate the
cause of the error.  As soon as I quit the debugger, I leave the
let-binding and things work as before.  So IIUC this must not be
prevented until the debugger has been left.  Or am I missing something?

martin